/*
 * Created on 12 janv. 2004 by rosmord.
 *
 * This code is distributed under the LGPL.
 *  
 */
package agendaJSP.workflow;

import agendaJSP.modele.Personne;
import agendaJSP.persistence.PersonneDAO;

/**
 * @author rosmord
 *
 */
public class SupprimerPersonneWorkflow {

	private PersonneDAO persisteur;
	private Personne personneADetruire;
	

	/**
	 * @param persisteur
	 */
	public SupprimerPersonneWorkflow(PersonneDAO persisteur) {
		
		this.persisteur= persisteur;
	}

	/**
	 * Fixe l'identificateur de la personne  enlever.
	 * @param n
	 */
	public void setId(int n) {
		personneADetruire= persisteur.getPersonneParId(n);		
	}

	/**
	 * 
	 */
	public void detruirePersonne() {
		persisteur.detruirePersonne(personneADetruire);
	}

	/**
	 * @return
	 */
	public Personne getPersonneSelectionnee() {
		return personneADetruire;
	}
}
