/*
 * Ajout.java
 *
 * Created on 6 fvrier 2004, 18:37
 */

package agendaJSP.jspui;

import java.io.*;
import java.net.*;

import javax.servlet.*;
import javax.servlet.http.*;

import agendaJSP.workflow.AjoutPersonneWorkflow;
import agendaJSP.persistence.PersistenceException;

/**
 *
 * @author  rosmord
 * @version
 */
public class Ajouter extends HttpServlet {
    
    /** Initializes the servlet.
     */
    public void init(ServletConfig config) throws ServletException {
        super.init(config);
        
    }
    
    /** Destroys the servlet.
     */
    public void destroy() {
        
    }
    
    /** Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
     * @param request servlet request
     * @param response servlet response
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        try {
        // Rcupration du bean :
        HttpSession session= request.getSession(true);
        agendaJSP.beans.LoginBean login=
        (agendaJSP.beans.LoginBean)session.getAttribute("loginBean");
        // Cration du workflow :
        AjoutPersonneWorkflow workflow= login.createAjoutPersonneWorkflow();
        
        workflow.fixerNom(request.getParameter("nom"));
        workflow.fixerPrenom(request.getParameter("prenom"));
        workflow.ajouterPersonne();
        } catch (PersistenceException e) {
            throw new ServletException(e);
        }
        ServletUtils.dispatch(this, request, response, "/appli/ajouter.jsp");
    }
    
    /** Handles the HTTP <code>GET</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Handles the HTTP <code>POST</code> method.
     * @param request servlet request
     * @param response servlet response
     */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
    
    /** Returns a short description of the servlet.
     */
    public String getServletInfo() {
        return "Short description";
    }
    
}
