/*
 * ServlerUtils.java
 *
 * Created on 6 fvrier 2004, 17:48
 */

package agendaJSP.jspui;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 * Fonction utiles pour les servlets. Pourraient aussi tre intgres
 * dans une classe mre ; le choix de mthodes statiques est d  l'emploi 
 * de netbeans.
 * @author  rosmord
 */
public class ServletUtils {
    
    /**
     * Dlgue l'affichage en sortie de servlet  la jsp (ou la servlet, ou la page html) url.
     */
    public static void dispatch(HttpServlet servlet, HttpServletRequest request, HttpServletResponse response, String url) 
    throws javax.servlet.ServletException,  java.io.IOException {
         // On dlgue l'affichage. Notez que encodeURL() ne doit
        // pas tre utilis ici (on ne passe pas vraiment d'argument, puisqu'ils sont
        // dans request).
        RequestDispatcher dispatcher= servlet.getServletContext().getRequestDispatcher(url);
        dispatcher.forward(request, response);       
    }
}
